# Replication Group

### Creating a replication group with minimal parameters

```
resources:
  - type: aws_elasticache_replication_group
    name: my-redis-replication-group
    props:
      replication_group_description: "My Redis replication group"
      engine: redis
      cache_node_type: cache.t3.micro
      num_cache_clusters: 2
```

#### Example price for above configuration

```
my-redis-replication-group (action: create, price: $0.017/Hrs, quantity: 2, monthly: $25.30)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mechcloud.io/cloud-computing/stateless-iac/aws/examples-resources-with-cost/elastic-cache/replication-group.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
